Bug 151994 - [patch] editors/2bsd-vi: remove libuxre
Summary: [patch] editors/2bsd-vi: remove libuxre
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-06 20:10 UTC by swell.k
Modified: 2010-11-17 22:59 UTC (History)
0 users

See Also:


Attachments
a.diff (3.08 KB, patch)
2010-11-06 20:10 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-11-06 20:10:09 UTC
- remove heirloom sources: libuxre[*] (LGPLv2+) and regexp.h (BSD)
- switch to using regex from libc
- mark as having BSD-style license (4 clauses)
- remove unused patch for 4.x
- don't compile termlib

[*] also makes binary 30Kb less in size
Comment 1 Olli Hauer freebsd_committer 2010-11-07 01:27:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it
Comment 2 Edwin Groothuis freebsd_committer 2010-11-07 19:55:48 UTC
Maintainer of editors/2bsd-vi,

Please note that PR ports/151994 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151994

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-11-07 19:55:50 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 David Thiel 2010-11-16 23:14:01 UTC
Approved.
Comment 5 dfilter service freebsd_committer 2010-11-17 22:45:51 UTC
ohauer      2010-11-17 22:45:46 UTC

  FreeBSD ports repository

  Modified files:
    editors/2bsd-vi      Makefile distinfo 
    editors/2bsd-vi/files patch-Makefile 
  Removed files:
    editors/2bsd-vi/files stable-Makefile.patch 
  Log:
   - remove heirloom sources: libuxre[*] (LGPLv2+) and regexp.h (BSD)
   - switch to using regex from libc
   - mark as having BSD-style license (4 clauses)
   - remove unused patch for 4.x
   - don't compile termlib
  
   [*] also makes binary 30Kb less in size
  
  PR:             151994
  Submitted by:   Anonymous <swell.k _at_ gmail.com>
  Approved by:    David E. Thiel <lx _at_ redundancy.redundancy.org> (maintainer)
  
  Revision  Changes    Path
  1.10      +7 -0      ports/editors/2bsd-vi/Makefile
  1.7       +0 -1      ports/editors/2bsd-vi/distinfo
  1.4       +19 -0     ports/editors/2bsd-vi/files/patch-Makefile
  1.2       +0 -15     ports/editors/2bsd-vi/files/stable-Makefile.patch (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Olli Hauer freebsd_committer 2010-11-17 22:58:41 UTC
State Changed
From-To: feedback->closed

committed, 
Thanks!